This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 300751 - frysk looses attach signal during detach
frysk looses attach signal during detach
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: frysk (Show other bugs)
5.1
All Linux
urgent Severity high
: ---
: ---
Assigned To: Andrew Cagney
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 12:26 EDT by Andrew Cagney
Modified: 2008-05-21 12:53 EDT (History)
12 users (show)

See Also:
Fixed In Version: RHBA-2008-0461
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:53:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Cagney 2007-09-21 12:26:55 EDT
+++ This bug was initially created as a clone of Bug #289041 +++

frysk's fcore handles attach/detach of a sleeping process (tested); but not
attach/detach when it involves a pending signal - the signal is lost.

What's really needed is a nice deterministic testcase for the latter.
Comment 1 Andrew Cagney 2007-09-27 13:57:37 EDT
Fix will be made upstream.
Comment 2 RHEL Product and Program Management 2007-10-19 16:25:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Andrew Cagney 2007-12-07 09:37:54 EST
(In reply to comment #3)
> in response to comment 0, 
> 
> > What's really needed is a nice deterministic testcase for the latter
> 
> for qe_ack for rhel5.2 - do we have such testcase now, or at least some 
> reliable reproducing steps?

The senario by its nature is racy.

If we can't find a deterministic real-world sequence we'll simulate this senario
by injecting the WAITPID events frysk should see and check results from that.
Comment 6 Andrew Cagney 2008-01-18 10:54:10 EST
The last test is new; the earlier tests did not reliably pass:

$ ./TestRunner frysk.proc.live.TestProcStopped
Running testStoppedAckDaemon(frysk.proc.live.TestProcStopped) ...PASS
Running testStoppedDetached(frysk.proc.live.TestProcStopped) ...PASS
Running testStoppedAttached(frysk.proc.live.TestProcStopped) ...PASS
Running testRunningAckDaemon(frysk.proc.live.TestProcStopped) ...PASS
Running testRunningDetached(frysk.proc.live.TestProcStopped) ...PASS
Running testRunningAttached(frysk.proc.live.TestProcStopped) ...PASS
Running testMultiThreadedStoppedAckDaemon(frysk.proc.live.TestProcStopped) ...PASS
Running testMultiThreadedStoppedDetached(frysk.proc.live.TestProcStopped) ...PASS
Running testMultiThreadedStoppedAttached(frysk.proc.live.TestProcStopped) ...PASS
Running testMultiThreadedRunningAckDaemon(frysk.proc.live.TestProcStopped) ...PASS
Running testMultiThreadedRunningDetached(frysk.proc.live.TestProcStopped) ...PASS
Running testMultiThreadedRunningAttached(frysk.proc.live.TestProcStopped) ...PASS
Running testStoppedSignal(frysk.proc.live.TestProcStopped) ...PASS
Comment 10 errata-xmlrpc 2008-05-21 12:53:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0461.html

Note You need to log in before you can comment on or make changes to this bug.